# $Revision: 1.20 $, $Date: 2004/05/30 14:56:24 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
%bcond_without	ndf	# don't build package with NDF support
%bcond_without	gsd	# don't build package with GSD support
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Astro
%define		pnam	FITS-Header
Summary:	Astro::FITS::Header Perl module - a FITS header
Summary(pl):	Modu Perla Astro::FITS::Header - nagwek FITS
Name:		perl-Astro-FITS-Header
Version:	2.8.1
Release:	2
License:	GPL v2+
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	08ae3810997e4e5c92bd2f5013892cba
%if %{with tests}
BuildRequires:	perl-Astro-FITS-CFITSIO >= 1.01
%{?with_gsd:BuildRequires:	perl-GSD}
%{?with_ndf:BuildRequires:	perl-NDF >= 1.42}
%endif
BuildRequires:	perl-devel >= 1:5.8.2
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-base >= 5.8.2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Astro::FITS::Header and associated sub-classes are tools for reading,
modifying and then writing out FITS standard header blocks to FITS and
NDF files.

%description -l pl
Astro::FITS::Header i stowarzyszone z nim podklasy stanowi narzdzie
suce do odczytu blokw nagwkw zgodnych ze standardem FITS w
plikach FITS i NDF, a take do modyfikacji i zapisu tych blokw.

%package CFITSIO
Summary:	Astro::FITS::Header::CFITSIO - manipulates FITS headers from a FITS file
Summary(pl):	Astro::FITS::Header::CFITSIO - manipulowanie nagwkami FITS pliku FITS
Group:		Development/Languages/Perl
Requires:	%{name} = %{version}-%{release}
Requires:	perl-Astro-FITS-CFITSIO >= 1.01

%description CFITSIO
Astro::FITS::Header::CFITSIO module makes use of the
Astro::FITS::CFITSIO module to read and write directly to a FITS HDU.

%description CFITSIO -l pl
Modu Astro::FITS::Header::CFITSIO dokonuje bezporedniego odczytu i
zapisu FITS HDU za pomoc moduu Astro::FITS::CFITSIO.

%package NDF
Summary:	Astro::FITS::Header::NDF - manipulate FITS headers from NDF files
Summary(pl):	Astro::FITS::Header::NDF - manipulowanie nagwkami FITS plikw NDF
Group:		Development/Languages/Perl
# only for install dirs ?
Requires:	%{name} = %{version}-%{release}
Requires:	perl-NDF >= 1.42

%description NDF
Astro::FITS::Header::NDF module makes use of the Starlink NDF module
to read and write to and NDF FITS extension or to a ".HEADER" block
in an HDS container file.

%description NDF -l pl
Modu Astro::FITS::Header::NDF odczytuje i zapisuje rozszerzenie NDF
FITS lub blok ".HEADER" pliku pojemnika HDS za pomoc moduu Starlink
NDF.

%package GSD
Summary:	Astro::FITS::Header::GSD - manipulate FITS headers from GSD files
Summary(pl):	Astro::FITS::Header::GSD - manipulowanie nagwkami FITS plikw GSD
Group:		Development/Languages/Perl
Requires:	%{name} = %{version}-%{release}

%description GSD
Astro::FITS::Header::GSD module makes use of the Starlink GSD module
to read from a GSD header.

%description GSD -l pl
Modu Astro::FITS::Header::GSD odczytuje nagwek GSD za pomoc moduu
Starlink GSD.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README TODO
%dir %{perl_vendorlib}/Astro/FITS
%{perl_vendorlib}/Astro/FITS/Header.pm
%dir %{perl_vendorlib}/Astro/FITS/Header
%{perl_vendorlib}/Astro/FITS/Header/Item*
%{_mandir}/man3/Astro::FITS::Header.*
%{_mandir}/man3/Astro::FITS::Header::Item*

%files CFITSIO
%defattr(644,root,root,755)
%{perl_vendorlib}/Astro/FITS/Header/CFITSIO.pm
%{_mandir}/man3/*CFITSIO*

%if %{with ndf}
%files NDF
%defattr(644,root,root,755)
%{perl_vendorlib}/Astro/FITS/Header/NDF.pm
%{_mandir}/man3/*NDF*
%endif

%if %{with gsd}
%files GSD
%defattr(644,root,root,755)
%{perl_vendorlib}/Astro/FITS/Header/GSD.pm
%{_mandir}/man3/*GSD*
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Astro-FITS-Header.spec,v $
Revision 1.20  2004/05/30 14:56:24  qboosh
- strict internal deps, release 2

Revision 1.19  2004/05/06 18:43:03  ankry
- fixed perl-devel BR

Revision 1.18  2004/04/17 05:46:23  ankry
- license fixes

Revision 1.17  2003/11/16 18:43:52  qboosh
- updated to 2.8.1
- BR+R: perl 5.8.2 (perl 5.8.0 crashed on tests with stack overflow and SEGV)

Revision 1.16  2003/11/02 22:54:04  qboosh
- build with NDF and GSD by default

Revision 1.15  2003/11/01 15:16:20  qboosh
- updated to 2.8.0, new-style bconds, BR perl-Astro-FITS-CFITSIO for tests

Revision 1.14  2003/09/09 10:24:26  ankry
- spaces -> tab

Revision 1.13  2003/09/04 13:03:27  adamg
- updated to 2.7.1

Revision 1.12  2003/08/18 08:08:27  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.11  2003/07/03 15:26:28  ankry
- separate and disble -GSD subpackage, cleaning
- rel. 3

Revision 1.10  2003/05/28 13:00:21  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/04/11 18:59:20  radek
- BR: perl-devel; do not BR: perl

Revision 1.7  2003/04/11 13:30:34  qboosh
- updated to 2.6.1
- release 2

Revision 1.6  2003/03/01 17:42:08  radek
- should be ready for perl-5.8.0; release++

Revision 1.5  2003/02/25 00:35:49  radek
- use the __perl macro

Revision 1.4  2003/02/21 20:29:37  ankry
- updated to 2.4

Revision 1.3  2003/02/18 15:26:07  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/08/05 09:29:41  ankry
- added tests (on BCond)
- disable -NDF package by default
- release 2

Revision 1.1  2002/07/25 00:54:40  ankry
- new spec
